Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class GeneralResponse

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.GeneralResponse`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class GeneralResponse
extends PKIMessageBody

PKI message body of type General Response.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`GeneralResponse()` Create an empty `GeneralResponse`.
`GeneralResponse(oracle.security.crypto.asn1.ASN1ObjectID type)` Create a `GeneralResponse` with the specified type;
`GeneralResponse(oracle.security.crypto.asn1.ASN1ObjectID type, oracle.security.crypto.asn1.ASN1Object value)` Create a `GeneralResponse` with the specified type and value.
`GeneralResponse(InfoTypeAndValue info)` Create a `GeneralResponse` with the specified `InfoTypeAndValue`.
`GeneralResponse(java.io.InputStream is)`

Method Summary
`void` | `addInfo(oracle.security.crypto.asn1.ASN1ObjectID type)` Add an `ASN1ObjectID` type and `null` value to the data for this message body.
`void` | `addInfo(oracle.security.crypto.asn1.ASN1ObjectID type, oracle.security.crypto.asn1.ASN1Object value)` Add a pair of `ASN1ObjectID` tye and `ASN1Object` value to the data for this message body.
`void` | `addInfo(InfoTypeAndValue info)` Add an `InfoTypeAndValue` to this `infoList`, replacing any previously defined `InfoTypeandValue` for the given type.
`oracle.security.crypto.cert.AttributeTypeAndValueList` | `getInfo()` Return the list of `InfoTypeAndValue`s in this message body.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)` Initializes this object by reading its encoding from the given input stream.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralResponse

    public GeneralResponse()

  Create an empty `GeneralResponse`.

### GeneralResponse

    public GeneralResponse(oracle.security.crypto.asn1.ASN1ObjectID type)

  Create a `GeneralResponse` with the specified type;

### GeneralResponse

    public GeneralResponse(oracle.security.crypto.asn1.ASN1ObjectID type,
                           oracle.security.crypto.asn1.ASN1Object value)

  Create a `GeneralResponse` with the specified type and value.

### GeneralResponse

    public GeneralResponse(InfoTypeAndValue info)

  Create a `GeneralResponse` with the specified `InfoTypeAndValue`.

### GeneralResponse

    public GeneralResponse(java.io.InputStream is)
                    throws java.io.IOException

Method Detail

### addInfo

    public void addInfo(InfoTypeAndValue info)

  Add an `InfoTypeAndValue` to this `infoList`, replacing any previously defined `InfoTypeandValue` for the given type.

### addInfo

    public void addInfo(oracle.security.crypto.asn1.ASN1ObjectID type)

  Add an `ASN1ObjectID` type and `null` value to the data for this message body.

### addInfo

    public void addInfo(oracle.security.crypto.asn1.ASN1ObjectID type,
                        oracle.security.crypto.asn1.ASN1Object value)

  Add a pair of `ASN1ObjectID` tye and `ASN1Object` value to the data for this message body.

### getInfo

    public oracle.security.crypto.cert.AttributeTypeAndValueList getInfo()

  Return the list of `InfoTypeAndValue`s in this message body.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading its encoding from the given input stream.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.